// Processing code:
//-------------------
// Resizing and tinting Image
// -Checks for keypress to change 2D graphic image.
// Any keypress does something, "x" does something special
//------------------------------------------------

PImage balloon_img, face_img;   // Declare variables of type: PImage

void setup() {
   size(600, 600);
 //  fill(0,0,0);                              // set fill color to black  
   balloon_img = loadImage("balloons.png");  // Load the image into the program 
   face_img = loadImage("danaFace.png");     // Load the image into the program  
   imageMode(CENTER);                        // draw point is center of image
}

void draw() {    
    noTint();
    //---- rectangle covers (clears) screen:
    image(balloon_img, (width/2), (height/2), width, height);  
    //---- then draw face image:
    image(face_img, (width/2), (height/2), 250, 350);
    if (keyPressed == true) {                           // If key is pressed:
      if (key == 'x') {                                  // if 'x':
        tint(250, 0, 0);                                // Tint red
        image(face_img, width/2, height/2, width, height);   
       } else {
         noTint();
         image(face_img, (width/2), (height/2), 450, 450);
       } 
   }
}
