//-------------------------------
//    *** Processing code ***
//       mouseX serial
//   Sending data to the Arduino
//------------------------------- 
 import processing.serial.*;
 
 int rectSize = 20;  // Size of rectangle to track mouse
 int sendX = 1;      // Variable for sending mouseX scaled
 Serial myPort;      // Create place in memory for serial communication
 
 void setup()  {
 size(255, 255);
 rectMode(CENTER);
 stroke(255);
 fill(153);
 
 println(Serial.list());   // print out available serial ports
 // Open the port that the Arduino board is connected to (in this case #0)
 // Make sure to open the port at the same speed Arduino is using (9600bps)
  printArray(Serial.list());   // -Gives list of available ports
  myPort = new Serial(this, Serial.list()[2], 9600); //-- Change to your port number
 }
 
 void draw()
 {
  background(0);
  rect(mouseX, 120, rectSize, rectSize);  // Draw the box
  sendX = mouseX;                         // scale range to 1/20th of screen
  println(sendX);
  myPort.write(sendX);
  delay(10);     
 }
