// Processing code:
//-------------------
// Resizing and tinting Image
//
// -Checks for mouseX to change 2D graphic image.
//

PImage img, img2;       // Declare variable "img" and "img2" of type PImage
float mappedMouse;

void setup() {
   size(600, 600);
   fill(0,0,0);                             // set fill color to black  
   img = loadImage("balloons.png");         // Load the image into memory 
   img2 = loadImage("danaFace.png");        // Load the image into memory  
   imageMode(CENTER);                       // draw point is center of image
}

void draw() {    
    mappedMouse = map(mouseX, 0, 600, 200, 500);
    noTint();
    image(img, width/2, height/2, width, height);      // rectangle covers (clears) screen 
    tint(mappedMouse, 140, 140);                         // Tint red from mouseX
    image(img2, width/2, height/2, 80 + mappedMouse, 380 + (mappedMouse * .5));  // Resize from mouseX  
  }
